=========================== 24-Oct-1999, release 042 ==========================

* new version of LICENSE (Greg)
* generic: updated short License note in file headers (SPC)
* ttyio.h : add support for Novell NLM port (SPC)
* tandem/macros: added support for SFX (Dave Smith)
* human68k/crc_68.s, qdos/crc_68.s: adaptations of Paul Kienitz' 680x0 CRC
  assembler code from amiga/crc_68.a for special needs of these systems'
  assembler syntax
* macos/source/macstuff.[ch]: added / completed the copyright note contained
  in the original sources; added short note stating the modifications applied
  for Info-ZIP use (Dirk Haase, Greg Roelofs, Onno, SPC)

=========================== 24-Aug-1999, release 041 ==========================

* general addition: all source files that are not covered by other copyrights
  have been decorated with the Info-ZIP license disclaimer (SPC)
* macos/...: updates from 30-Mar-1999 and 02-Jun-1999 (Dirk Haase)
* macos/HISTORY.TXT, macos/README.TXT: fixed typos, corrected spelling and
  formatting errors (SPC)
* tandem/tandem.c, tandem/tannsk.h: added (Dave Smith)
* proginfo/3rdparty.bug: updated WinZip compatibility info (SPC)
* proginfo/ziplimit.txt: updated information on limits for the number of
  archive entries (SPC)
* theos/_stat.c: removed, differs between Zip and UnZip (SPC)
* theos/charconv.h: new file, translation arrays Theos CP <--> ISO, IBM OEM
  (Jean-Michel Dubois)
* ebcdic.h: include theos/charconv.h for THEOS port (Jean-Michel Dubois)

=========================== 22-Feb-1999, release 040 ==========================

* ttyio.h: additions for the Theos port (Jean-Michel Dubois, SPC)
* crc_i386.S, win32/crc_i386.asm, win32/crc_i386.c, win32/crc_lcc.asm,
  msdos/crc_i86.asm: small tweaks to adapt to timing of modern CPUs (SPC)
* tandem/...: updated, added HISTORY textfile (Dave Smith)
* theos/...: new port (Jean-Michel Dubois)
* proginfo/extra.fld: added Tandem & Theos e.f. layout (D.Smith, J.-M.Dubois)
* proginfo/ziplimit.txt: spelling corrections (SPC)

=========================== 28-Nov-1998, release 039 ==========================

* stripped trailing blanks from ZipPorts, nt.sd, perform.dos in proginfo,
  os2/os2acl.h; without changing modification date (Onno)

=========================== 28-Nov-1998, release 039 ==========================

* amiga/time_lib.c: corrected spelling of "commercial" (Santiago Vila)
* ttyio.h: WIN32 generally uses an Info-ZIP supplied getch() replacement (SPC)
* macos/source/: getenv.c, macstuff.h - consistent formatting of code,
  ANSI prototype style, no extended ASCII 8-bit-chars (Dirk Haase)

=========================== 19-Nov-1998, release 038 ==========================

* WHERE: updated for UnZip 5.4 release, added SMS/QDOS, MVS, OS/390 info (misc)
* proginfo/extra.fld: updates from 01-Sep-98 appnote.txt, corrected (Unix1)
  extra field description (SPC)

=========================== 15-Nov-1998, release 037 ==========================

* macos/README.TXT: removed (Dirk Haase)
* macos/source/: revised helpers.[ch], macstuff.[ch], mactime.c, pathname.[ch];
  added getenv.c and mactime.h (Dirk Haase)
* WHERE: updated for UnZip 5.33 release, added MacZip info (SPC)

=========================== 28-Oct-1998, release 036 ==========================

* proginfo/3rdparty.bug: spelling fix (Onno)
* crc32.c, crctab.c, ttyio.c: added macro that identifies the name of the
  source module (SPC)
* macos/README.TXT: "undo" of the replacement of shorthands (it's etc.) by
  corresponding long form (SPC)

=========================== 25-Oct-1998, release 035 ==========================

* proginfo/extra.fld: update of Mac3 field definition (SPC)
* macos/README.TXT: reinserted .zp2 type for (partly) encrypted archives (SPC)
* macos/source/helpers.[ch]: clean-up, misc fixes (SPC)
* macos/source/macstuff.[ch]: cosmetic clean-up, formatting refinements (SPC)
* macos/source/mactime.c: first directions to fix DST detection (SPC)
* macos/source/pathname.[ch]: formatting refinements, applied const to formal
  parameters where appropiate, corrected description of StripPartialDir(),
  fixed potential "access beyond data" in GetVolumeFromPath() (SPC)

=========================== 13-Sep-1998, release 034 ==========================

* amiga/filedate.c: now unconditionally depends on zip.h (Paul Kienitz, SPC)
* crypt.[ch]: updated version number in reference to zcrypt sources (Christian)
* tandem/macros: Zip's mktime module is not compiled separately (Dave D Smith)
* ttyio.c: updated comment about MacOS getch() replacement (Christian)
* ttyio.h: declarations for external "getch" equivalents were moved into OS-
  specific configuration headers (Christian)
* Where: added Zip executable distribution for MacOS (Christian)

=========================== 03-Aug-1998, release 033 ==========================

* Where: updated version number of current zcrypt sources (Christian)
* macos/*.[ch]: new shared sources for MacOS support (Dirk Haase)
* qdos/IZREADME.SMS: revised documentation of SFX support (Jonathan Hudson)
* crc32.c, crctab.c, win32/crc_i386.asm: modified get_crc_table() related
  declarations to improve compatibility with recent zlib 1.1.3 (Christian)
* win32/crc_lcc.asm: new file, crc_i386.S adapted to LCC-Win32 (Christian)
* tandem/: added commacs, macros, and tandem.h from Tandem port (Dave D Smith)

=========================== 22-May-1998, release 032 ==========================

* cmsmvs/README.CMS: new file; Using Zip and UnZip on VM/CMS (Greg Hartwig),
  with a small correction (Christian)
* win32/crc_i386.c: changes to support MSVC 5.0, again (Peter Kunath)
* proginfo/ziplimit.txt: was accidentally missing in release 031 (Christian)

=========================== 25-Apr-1998, release 031 ==========================

* WHERE: updated info about PKWARE tools (Greg, Christian)
* proginfo/extra.fld: added info about PKWARE's Win95/WinNT e.f. (Christian)
* proginfo/ziplimit.txt: new file; summary of Zip limits (Christian)
* amiga/: filedate.c, time_lib.c, z-stat.h, z-time.h: clean-up fixes for
  time_lib and SAS/C support (Haidinger Walter, Paul Kienitz, Christian)
* win32/crc_i386.asm: modifications to support TASM32 5.0 (Cosmin Truta)

=========================== 19-Feb-1998, release 030 ==========================

* WHERE: beta version, announces UnZip 5.33 (Christian)
* amiga, all files except crc_68.a: revision of <sys/stat.h> and <time.h>
  replacements, for complete support of SAS/C compiler environment
  (Haidinger Walter, Paul Kienitz)
* vms/vmsdefs.h: fixed spelling in revision list (Christian)
* win32/rsxntwin.h: Added missing defs to support NTSD handling (Christian)

=========================== 16-Nov-1997, release 029 ==========================

* WHERE: version from public release of 03/04 Nov 1997 (Greg)
* amiga/time_lib.c: cleanup, make tzset() not redo work needlessly (Paul),
  added explicit initialization for some global vars (Christian)
* win32/crc_i386.asm: small cleanups to shut up tasm warnings (Christian)
* win32/crc_i386.c: revised for compliance with Borland C++ needs (Christian)
* win32/rsxntwin.h: removed bogus _get_osfhandle() work-around (Christian)
* qdos/IZREADME.SMS: new shared file, from UnZip 5.32 qdos/README

=========================== 25-Oct-1997, release 028 ==========================

* amiga/time_lib.c: more 16-bit overflow fixes, lines shortened (Christian)

=========================== 24-Oct-1997, release 027 ==========================

* WHERE: WiZ instead of WizUnZip (Greg)
* amiga/time_lib.c: 16-bit multiply overflow fix (Paul)
* amiga/stat.c: amiga daylight savings bugfix (Paul)

=========================== 19-Oct-1997, release 026 ==========================

* WHERE: some other wiz30 -> wiz40 updates (Christian)
* proginfo/perform.dos, amiga/time_lib.c: fixed Info-ZIP spelling (Christian)

=========================== 12-Oct-1997, release 025 ==========================

* WHERE: Renamed from 'Where'; updates for Zip 2.2/Unz 5.32 release
* 00readme.shr: Updated contents list (Christian)
* crypt.c, crypt.h: Modified comment (Where -> WHERE) (Greg)
* crc_i386.S, win32/crc_i386.asm, win32/crc_i386.c: Optional PentiumPro tweaks,
  added new crc_i386.c using MS 32-bit C(++) __asm{} feature (Christian)
* amiga/time_lib.c: mkgmtime() fix, export "TZ is set" flag (Paul)
* win32/rsxntwin.h: new, supplemental header to fill holes in RSXNT <windows.h>

=========================== 19-Aug-1997, release 024 ==========================

* ttyio.h: Added support for FLEXOS port (Derek Fawcus, Greg)
* amiga/time_lib.c, amiga/timezone.doc: New files (time functions with
  correct timezone handling for Amiga)
* amiga/filedate.c: adapted time_lib stuff for Aztec C (Paul)

=========================== 19-Jul-1997, release 023 ==========================

* amiga/filedate.c: correct Unix->Amiga DST error with new mkgmtime (Paul)
  Zip vs. UnZip Compatibility changes, forced by Zip modifications (Christian)
* amiga/stat.c, amiga/z-stat.h: Added fake fstat() function for Zip (???)
* crc_i386.S, win32/crc_i386.asm: Incorporated multi-byte read optimizations
  (Rodney Brown, Christian Spieler)
* msdos/crc_i86.asm: multi-byte read optimization (Christian Spieler)
* proginfo/extra.fld, Where: new versions from UnZip 5.31
* vms/vmsdefs.h: Modifications for GNU C 2.x support (Onno, Christian)

=========================== 13-Apr-1997, release 022 ==========================

* proginfo/*:  new(ly shared) files (Christian, Greg)
* various:  changed all "#ifdef CRYPT" to "#if CRYPT" (Christian)

=========================== 30-Mar-1997, release 021 ==========================

* crctab.c: fix for deallocation bugfix (Christian)

=========================== 28-Mar-1997, release 020 ==========================

* crypt.c: move IZ_PW* out again (into unzip.h/zip.h) (Christian)
* crctab.c: fix deallocation bug (Antoine)

=========================== 22-Mar-1997, release 019 ==========================

* crypt.c: point at zcrypt27.zip (Greg)
* crypt.h: point at zcrypt27.zip; include IZ_PW* macros for DLL-using apps
  (Greg, Mike White)
* ttyio.c: use ZCONST instead of const (Christian)

=========================== 11-Mar-1997, release 018b =========================

* many accumulated changes from UnZip source tree (mostly Christian; Greg)
      Where          amiga/filedate.c
      crc32.c        msdos/crc_i86.asm
      crctab.c       os2/os2acl.c
      crc_i386.S     os2/os2acl.h
      ebcdic.h       vms/vms.h
      ttyio.h        win32/crc_i386.asm

=========================== 11-Mar-1997, release 018 ==========================

* ttyio.c: use __BEOS__ instead of BEBOX (Chris)

=========================== 18-Jan-1997, release 017 ==========================

* Where: Revision to incorporate the move of Info-ZIP's master archive (Greg)
* ttyio.c: Added missed patch for AT&T SysV r3 (Larry Jones)
* ttyio.h: W32 port: __EMX__ predefines getch() in <conio.h> (Christian)
* ttyio.[ch]: Cleaned up indentation for source beautification (Greg)
* crc_i386.S: Modified to work with AT&T's assembler (Larry Jones)
* amiga/filedate.c: Made getenv() argument a const string (Paul)

=========================== 30-Dec-1996, release 016 ==========================

* Where: Cosmetic revision of 24-Nov-96 (Greg)
* crypt.c: Purely cosmetic change (shorten name of dummy var) (Christian)
* crypt.h: Removed last atom of encryption specific info (Christian)
* ttyio.[ch]: Modifications of getp() (not used for WINDLL, QDOS version in
  QDOS specific source); simple check of zcrypt ver (Christian)
* crc_i386.S, win32/crc_i386.asm: Speed optimizations (Scott Field)
* amiga/stat.c: Rearrangement of close_leftover_open_dirs() (Paul)
* os2/os2acl.c: Update from unz530h (Kai Uwe ?)

=========================== 29-Sep-1996, release 015 ==========================

* ttyio.[ch]: BeOS non-echo support (Chris Herborth)
* ttyio.[ch]: QDOS non-echo support (Jonathan Hudson)
* ttyio.c: SCO Unix TIOCGWINSZ fix (somebody)
* Where: WizUnZip 3.1 updates, zip-bugs address, etc. (Greg)
* Amiga files: SAS/Aztec fixes, minor cosmetic fixes (Paul, Walter, Greg)
* vms.h: minor cosmetic fix (Greg)
* os2acl.c: fixed os2/os2acl.h include (someone via Greg)

=========================== 07-Aug-1996, release 014 ==========================

* ttyio.c: remove some obsolete code from ttyio.c (Mike White)

=========================== 13-Jul-1996, release 013 ==========================

* ttyio.c: Adapted to revised windll port.

=========================== 08-Jul-1996, release 012 ==========================

* Where: Mentioned Flashpoint Unzip95 derivative.
* ttyio.c, ttyio.h: More changes to support wizdll.
* amiga/filedate.c: Support for SAS/C; cleanup of #includes.

=========================== 15-May-1996, release 011 ==========================

* ttyio.c: Support for zipdll (Mike White)

=========================== 27-Apr-1996, release 010 ==========================

* Where: Mention zcrypt10.zip for Zip 1.1. (Greg)
  Added ZipHist.zip: complete history of changes to Zip
  (In zip21.zip, history only contains the changes past Zip 2.0.1)

* amiga/filedate.c: Removed some feelthy tabs! (Greg)

=========================== 23-Apr-1996, release 009 ==========================

* Where: Added/updated pointers to Acorn executables; removed new typo;
  clarified filenames for VMS binaries; noted (implicitely) that zcrypt26
  does not support Zip 1.1; shortened all lines to stay strictly BELOW 80 chars
  (to prevent nasty wrap-arounds when typing Where on some tty devices);
  updated revision date. (Onno, Sergio, Christian, Greg)

* amiga/filedate.c: Added replacement for Aztec C's weird time() function.
  (Paul Kienitz)
  Enabled this replacement for Zip code, only. (Chr. Spieler)

* os2/os2acl.c: ifdef'd out unused RCS strings (Greg Roelofs)

* crypt.c: New, simple version from Jean-loup.

=========================== 18-Apr-1996, release 008 ==========================

* ttyio.c: Fix for pyramid's "zip -e" troubles by using "/dev/tty" instead of
  "ttyname(2)". (Onno)

* amiga/filedate.c: Final (?) fix for Amiga's timezone / daylight saving time
  stuff. (Paul Kienitz)

* amiga/stat.c: Cleanup of incorrectly typed variables. (Paul Kienitz)

=========================== 13-Apr-1996, release 007 ==========================

* crypt.c: The dummy function is defined for all systems; this requires
  the inclusion of zip.h. (Jean-loup Gailly, Christian Spieler)

* os2/os2acl.[ch]: New files, generic interface for the OS/2 ACL support
  on the IBM LANserver network. (Kai Uwe Rommel)

=========================== 18-Mar-1996, release 006 ==========================

* amiga/filedate.c, amiga/stat.c: Added localtime() function as replacement
  for buggy RTL function (Paul Kienitz)

=========================== 10-Mar-1996, release 005 ==========================

* ebcdic.h: Major revision !
  - New generic translation tables, based on the de facto standard
    "CECP 1047" code page table (Onno)
  - Made Onno's new tables "UNZIP" compatible: UnZip does not need the
    `to-ascii' table.
  - Added the MTS-only "ISO 8859/1 --> IBM Code Page 37" variant of the
    ebcdic[] table.
  - In preparation for a future MTS port of Zip, the inverted MTS specific
    "IBM Code Page 37 --> ISO 8859/1" ascii[] translation table variant was
    added.

=========================== 04-Mar-1996, release 004 ==========================

* Where: More "520" to "52" conversions...
* ttyio.c: Changed selection of UNIX terminal device driver manipulation style
  (POSIX termios <==> SYSV termio <==> BSD tty) to use HAVE_xxx_H symbols,
  similar to GNU coding standards.
* crctab.c, crypt.c, ttyio.[ch]: All "#if a || b ..." conditional constructs
  require enclosing parentheses (MAC MPW C 3.3.1 bug)

=========================== 02-Mar-1996, release 003 ==========================

* Added Changes.shr, containing distribution ChangeLog in reverse
  chronological order.
* Added "fake echo switching support" for VM/CMS and MVS to ttyio.[ch].

=========================== 22-Feb-1996, release 002 ==========================

* Where: Applied more revisions; consistent "tabular" formatting.
* ttyio.[ch]: New version from UnZip 5.20n; removed one level of indirection
  in access to struct Globals members ("G->xxx" is now "G.xxx").
* amiga/crc_68.a: Addition of 68020 specific code, several cleanups.
* Name of archive has been corrected to "izshr###.zip".

=========================== 16-Feb-1996, release 001 ==========================

* Initial release of this "shared sources" collection.
